Search


print PDF
Php 5
To use Php5 with ovh, it is needed to transfer via FTP your scripts with the extention php5. For example:

my_script.php5


For more information on ftp transfers: FtpUsage.

Php works in suexec, that means that it is executed with the rights of your FTP account. Via php you have exactly the same rights via ftp. Therefore you do not need chmod 755 superior permission.

For more informations : FTPProblems.

If your script does not have proper permission or you come across the 505 error (Internal Server Error), the problem is from the configuration of your scripts. Here is the guide that will help you find the origin of the problem: InternalServerError.

Note : currently the extension .beta correspond at the file PHP5 but this extension will be used for several tests of new PHP releases



How to use the extension .php with PHP5

In order to change the php version that will execute a .php file, it is needed to create a .htaccess where your website directory is. With the Windows bloc note or another text editor you will need to write :

SetEnv PHP_VER 5


Save this file and upload it on your ftp in the directory needed and rename it .htaccess. Therefore the file .php will be executed with the version 5 of php.